import { RevertableEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { DeconSystem } from "../../systems";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { DeconEvent } from "./DeconEvent";
export declare class DeconEnterEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, DeconEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly deconsystem: DeconSystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    /**
     * The player that opened the decontanimation doors and is entering. Only
     * available if the client is the host.
     */
    readonly player: PlayerData<RoomType> | undefined;
    /**
     * Whether or not the player is entering to go to a cleanroom (such as the
     * reactor on Mira HQ).
     */
    readonly headingUp: boolean;
    static eventName: "decon.enter";
    eventName: "decon.enter";
    constructor(room: RoomType, deconsystem: DeconSystem<RoomType>, message: RepairSystemMessage | undefined, 
    /**
     * The player that opened the decontanimation doors and is entering. Only
     * available if the client is the host.
     */
    player: PlayerData<RoomType> | undefined, 
    /**
     * Whether or not the player is entering to go to a cleanroom (such as the
     * reactor on Mira HQ).
     */
    headingUp: boolean);
}
//# sourceMappingURL=Enter.d.ts.map