import { RevertableEvent } from "@skeldjs/events";
import { RoomEvent } from "../RoomEvent";
import { GameData } from "../../objects";
import { Hostable } from "../../Hostable";
import { PlayerInfo } from "../../misc/PlayerInfo";
import { GameDataEvent } from "./GameDataEvent";
/**
 * Emitted when a player is added to gamedata.
 */
export declare class GameDataAddPlayerEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, GameDataEvent {
    readonly room: RoomType;
    readonly gamedata: GameData<RoomType>;
    /**
     * The player information that was added.
     */
    readonly player: PlayerInfo<RoomType>;
    static eventName: "gamedata.addplayer";
    eventName: "gamedata.addplayer";
    constructor(room: RoomType, gamedata: GameData<RoomType>, 
    /**
     * The player information that was added.
     */
    player: PlayerInfo<RoomType>);
}
//# sourceMappingURL=AddPlayer.d.ts.map